DROP DATABASE IF EXISTS `elternabenddb`;
CREATE DATABASE IF NOT EXISTS `elternabenddb` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE elternabenddb;
--
-- Tabellenstruktur fr Tabelle `Benutzer`
--

DROP TABLE IF EXISTS `Benutzer`;
CREATE TABLE IF NOT EXISTS elternabenddb.Benutzer (
  id_benutzer int(10) unsigned NOT NULL PRIMARY KEY,
  bname varchar(255) NOT NULL,
  passwort varchar(255) NOT NULL,
  status int(10) NOT NULL,
  rechte int(10) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Tabellenstruktur fr Tabelle `Ezb`
--
DROP TABLE IF EXISTS `Ezb`;
CREATE TABLE IF NOT EXISTS elternabenddb.Ezb (
  id_ezb int(10) unsigned NOT NULL PRIMARY KEY,
  ename varchar(255) DEFAULT NULL,
  name varchar(255) DEFAULT NULL,
  klasse varchar(255) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
--
-- Tabellenstruktur fr Tabelle `Lehrer`
--
DROP TABLE IF EXISTS `Lehrer`;
CREATE TABLE IF NOT EXISTS elternabenddb.Lehrer (
  id_lehrer int(10) unsigned NOT NULL PRIMARY KEY,
  kz varchar(255) DEFAULT NULL,
  lname varchar(255) DEFAULT NULL,
  lvorname varchar(255) DEFAULT NULL,
  klassenlehrer varchar(255) DEFAULT NULL,
  raum varchar(255) DEFAULT NULL
  ) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
--
-- Tabellenstruktur fr Tabelle `Uhrzeiten`
--
DROP TABLE IF EXISTS `Uhrzeiten`;
CREATE TABLE IF NOT EXISTS elternabenddb.Uhrzeiten (
  zeit int(10) unsigned NOT NULL PRIMARY KEY,
  uhr varchar(255) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8; 
--
-- Tabellenstruktur fr Tabelle `Termine`
--
DROP TABLE IF EXISTS `Termine`;
CREATE TABLE IF NOT EXISTS elternabenddb.Termine (
  id_lehrer int(10) unsigned NOT NULL,
  id_uhrzeiten int(10)  NOT NULL,
  id_ezb int(10) NOT NULL,
  CONSTRAINT PK_Termine PRIMARY KEY NONCLUSTERED (id_lehrer,id_uhrzeiten)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
--
-- Tabellenstruktur fr Tabelle `Config`
--
DROP TABLE IF EXISTS `Config`;
CREATE TABLE IF NOT EXISTS elternabenddb.Config (
  id_config int(10) unsigned NOT NULL PRIMARY KEY,
  passwort varchar(255) NOT NULL,
  abwesende text NOT NULL,
  fehler text NOT NULL,
  meldung1 text NOT NULL,
  meldung2 text NOT NULL,
  meldung3 text NOT NULL,
  einladung text NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;